Status: Closed Start date: 2011-03-08
Priority: Normal Due date: 2011-03-08
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

When i want translate some text _ and in file application/i18n/pl.php have ‘text'=>'moj text' then on return i get 'text' but should be
'moj text'. Maybe i doing some wrong but a function _() have variable to language.
| found someting like this:

function __ ($string, array $values = NULL, $lang = 'en-us')
{

if ($lang !== Il8n::$lang)

{
// The message and target languages are different
// Get the translation for this message
$string = I18n::get ($string);

}

return empty ($values) ? $string : strtr($string, S$values);

}

Function 118n::get($string); should have 2 parameters like this 118n::get($string,$lang);

History

#1 - 2011-03-08 21:06 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution changed from Fixed to Invalid

Not the right tracker.

For testing, please use http://demo.redmine.org.

#2 - 2011-03-08 22:04 - Przemystaw Plezia

| am sorry my mistake.

#3 - 2011-10-25 12:33 - Saul Shipley
SPAM
